
package org.apache.servicemix.samples.wsdl_first;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.xml.ws.Holder;

@WebService(name = "Person", targetNamespace = "http://servicemix.apache.org/samples/wsdl-first")
@SOAPBinding(use = SOAPBinding.Use.LITERAL, parameterStyle = SOAPBinding.ParameterStyle.WRAPPED)
public interface Person {


    @WebMethod(operationName = "GetPerson", action = "")
    @WebResult(name = "personId", targetNamespace = "http://servicemix.apache.org/samples/wsdl-first/types")
    public String getPerson(
        @WebParam(name = "personId", targetNamespace = "http://servicemix.apache.org/samples/wsdl-first/types")
        String personId,
        @WebParam(name = "ssn", targetNamespace = "http://servicemix.apache.org/samples/wsdl-first/types", mode = WebParam.Mode.OUT)
        Holder<String> ssn,
        @WebParam(name = "name", targetNamespace = "http://servicemix.apache.org/samples/wsdl-first/types", mode = WebParam.Mode.OUT)
        Holder<String> name)
        throws UnknownPersonFault
    ;

}
