
package org.apache.servicemix.samples.wsdl_first;

import javax.xml.namespace.QName;
import org.codehaus.xfire.fault.FaultInfoException;

public class UnknownPersonFault
    extends FaultInfoException
{

    private org.apache.servicemix.samples.wsdl_first.types.UnknownPersonFault faultInfo;

    public UnknownPersonFault(String message, org.apache.servicemix.samples.wsdl_first.types.UnknownPersonFault faultInfo) {
        super(message);
        this.faultInfo = faultInfo;
    }

    public UnknownPersonFault(String message, Throwable t, org.apache.servicemix.samples.wsdl_first.types.UnknownPersonFault faultInfo) {
        super(message, t);
        this.faultInfo = faultInfo;
    }

    public org.apache.servicemix.samples.wsdl_first.types.UnknownPersonFault getFaultInfo() {
        return faultInfo;
    }

    public static QName getFaultName() {
        return new QName("http://servicemix.apache.org/samples/wsdl-first/types", "UnknownPersonFault");
    }

}
